from picamera2 import Picamera2
import RPi.GPIO as GPIO
sw = 4
picam2 = Picamera2()
picam2.configure('still')
picam2.start()
picam2.set_controls({'AeEnable': False, 'AwbEnable': True, 'FrameRate': 10.0})
GPIO.setmode(GPIO.BCM)
GPIO.setup(sw,GPIO.IN,pull_up_down=GPIO.PUD_UP)

while True:
    if GPIO.input(sw)==0:
        r = picam2.capture_request()
        r.save('main', '/home/pi/image.jpg')
    else:        
        r = picam2.capture_request()
    r.release()